## org.omg.IOP
Class ServiceIdHelper

    java.lang.Object
      |
      +--org.omg.IOP.ServiceIdHelper

public class ServiceIdHelper
extends java.lang.Object

Helper class for : ServiceId

Author:
  OpenORB Compiler

Constructor Summary
`ServiceIdHelper()`

Method Summary
`static int` `extract(Any a)` Extract ServiceId from an any
`static java.lang.String` `id()` Return the ServiceId IDL ID
`static void` `insert(Any a, int t)` Insert ServiceId into an any
`static int` `read(InputStream istream)` Read ServiceId from a marshalled stream
`static TypeCode` `type()` Return the ServiceId TypeCode
`static void` `write(OutputStream ostream, int value)` Write ServiceId into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceIdHelper

    public ServiceIdHelper()

Method Detail

### insert

    public static void insert(Any a,
                              int t)

  Insert ServiceId into an any
  Parameters:
    `a` - an any
    `t` - ServiceId value

### extract

    public static int extract(Any a)

  Extract ServiceId from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServiceId value

### type

    public static TypeCode type()

  Return the ServiceId TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServiceId IDL ID
  Returns:
    an ID

### read

    public static int read(InputStream istream)

  Read ServiceId from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServiceId value

### write

    public static void write(OutputStream ostream,
                             int value)

  Write ServiceId into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServiceId value